Package virtuoso.jdbc4

## Class VirtuosoPoolManager

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoPoolManager

    public class VirtuosoPoolManager
    extends java.lang.Object

### Constructor Summary

Constructors
`VirtuosoPoolManager​()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `addPool​(VirtuosoConnectionPoolDataSource pool)`
`VirtuosoPoolStatistic[]` `getAll_statistics​()`
`static VirtuosoPoolManager` `getInstance​()`
`void` `shutdown​()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VirtuosoPoolManager

    public VirtuosoPoolManager​()

### Method Detail

#### getInstance

    public static VirtuosoPoolManager getInstance​()

#### addPool

    protected void addPool​(VirtuosoConnectionPoolDataSource pool)

#### shutdown

    public void shutdown​()

#### getAll_statistics

    public VirtuosoPoolStatistic[] getAll_statistics​()